<template>
  <div class="q-pa-md q-gutter-sm">
    <q-editor
      lazy-rules
      v-bind:rules="rules"
      v-bind:disable="disable"
      v-bind:placeholder="placeholder"
      v-model="$_qeditor"
      v-bind:dense="$q.screen.lt.md"
      v-bind:toolbar="[
        ['left', 'center', 'right', 'justify'],
        ['bold', 'italic', 'strike', 'underline', 'subscript', 'superscript'],
        ['token', 'hr', 'link', 'custom_btn'],
        [
          {
            label: $q.lang.editor.fontSize,
            icon: $q.iconSet.editor.fontSize,
            fixedLabel: true,
            fixedIcon: true,
            list: 'no-icons',
            options: [
              'size-1',
              'size-2',
              'size-3',
              'size-4',
              'size-5',
              'size-6',
              'size-7'
            ]
          },
          {
            label: $q.lang.editor.defaultFont,
            icon: $q.iconSet.editor.font,
            fixedIcon: true,
            list: 'no-icons',
            options: [
              'default_font',
              'arial',
              'arial_black',
              'comic_sans',
              'courier_new',
              'impact',
              'lucida_grande',
              'times_new_roman',
              'verdana'
            ]
          }
        ],
        ['quote', 'unordered', 'ordered', 'outdent', 'indent']
      ]"
      v-bind:fonts="{
        arial: 'Arial',
        arial_black: 'Arial Black',
        comic_sans: 'Comic Sans MS',
        courier_new: 'Courier New',
        impact: 'Impact',
        lucida_grande: 'Lucida Grande',
        times_new_roman: 'Times New Roman',
        verdana: 'Verdana'
      }"
    />
    </div>
</template>

<script>
export default {
  name: 'EditorKitchenSink',
  props: ['qeditor', 'placeholder', 'rules', 'disable'],
  computed: {
    $_qeditor: {
      get: function () {
        return this.qeditor
      },
      set: function (val) {
        this.$emit('update-model', val)
      }
    }
  }
}
</script>
